#
#@$-lt 0:04:00
#@$-lT 0:04:00
#@$-lm 4mw
#@$-lM 4mw
#@$-s  /bin/csh
#@$
#
set echo
set time = 1
C
setenv OS `uname`
switch ($OS)
case 'SunOS':
    breaksw
case 'Linux':
    breaksw
case 'OSF1':
    breaksw
case 'IRIX64':
    breaksw
case 'AIX':
    breaksw
case 'unicosmk':
    breaksw
default:
    echo 'Unknown Operating System: ' $OS
    exit (1)
endsw
C
C --- Interpolate Levitus climtology to a HYCOM region.
C --- KSIGMA=0 for _sig0_ fields
C
switch ($OS)
case 'SunOS':
    if (-e /scr) then
      setenv pget ~wallcraf/bin/pget
      setenv pput ~wallcraf/bin/pput
    else
      setenv pget cp
      setenv pput cp
    endif
    breaksw
case 'XXX':
    setenv pget ~wallcraf/bin/pget
    setenv pput ~wallcraf/bin/pput
    breaksw
default:
    setenv pget cp
    setenv pput cp
endsw
C
C --- P is primary path,
C --- S is scratch   directory,
C --- D is permanent directory,
C --- L is Levitus   directory
C
setenv P hycom/HURf0.10/relax/flat
C
switch ($OS)
case 'AIX':
    setenv S /scr/${user}/scratch
    setenv D ~/$P
    setenv L /scr/${user}/hycom/clim_ieee/levitus
    breaksw
case 'SunOS':
    if (-e /scr) then
#                  NAVO MSRC
      setenv S /scr/${user}/$P
      setenv D            ~/$P
      setenv L ~/clim/levitus
    else if (-e /net/hermes/scrb) then
#                  NRLSSC
      setenv S /net/hermes/scrb/${user}/$P
      setenv D                        ~/$P
      setenv L ~/clim/levitus
    else
#                  Single Disk
      setenv S ~/$P/SCRATCH
      setenv D ~/$P
      setenv L ~/clim/levitus
    endif
    breaksw
case 'Linux':
    if (-e /external/fast) then
#                  NRLSSC
      setenv S /external/fast/${user}/$P
      setenv D                      ~/$P
      setenv L /external/fast/${user}/clim/levitus
    else
#                  Single Disk
      setenv S ~/$P/SCRATCH
      setenv D ~/$P
      setenv L ~/clim_ieee/levitus
    endif
    breaksw
default:
#                  Single Disk
    setenv S ~/$P/SCRATCH
    setenv D ~/$P
    setenv L ~/clim/levitus
endsw
C
mkdir -p $S
cd       $S
/bin/cp ../*.dat .
C
touch   z_flat
/bin/rm z_flat
C
C --- 12 months
C
foreach MM ( 01 02 03 04 05 06 07 08 09 10 11 12 )
C
C --- Input.
C
touch      fort.71 fort.73
/bin/rm -f fort.71 fort.73
${pget} $L/r_m${MM}.d fort.71 &
${pget} $L/s_m${MM}.d fort.73 &
C
touch regional.grid.a regional.grid.b
if (-z regional.grid.b) then
  ${pget} ${D}/../../topo/regional.grid.b regional.grid.b &
endif
if (-z regional.grid.a) then
  ${pget} ${D}/../../topo/regional.grid.a regional.grid.a &
endif
C
touch z_flat
if (-z z_flat) then
  ${pget} ~/hycom/ALL/relax/src/z_flat . &
endif
wait
chmod a+rx z_flat
C
switch ($OS)
case 'SunOS':
    /bin/rm -f core z_flat.trace
    touch core
    breaksw
default:
    /bin/rm -f core
    touch core
endsw
setenv FOR010A fort.10A
setenv FOR011A fort.11A
setenv FOR012A fort.12A
/bin/rm -f fort.10 fort.10A fort.11 fort.11A fort.12 fort.12A
./z_flat <<E-o-D
 &AFTITL
  CTITLE = '1234567890123456789012345678901234567890',
  CTITLE = 'Levitus monthly',
 /
 &AFFLAG
  ICTYPE =   3,
  KSIGMA =   0,
  INTERP =   1,
  ITEST  =  81,
  JTEST  =  61,
  MONTH  = $MM,
 /
E-o-D
switch ($OS)
case 'SunOS':
    if (-e z_flat.trace) then
      cat z_flat.trace
    endif
    breaksw
default:
endsw
C
C --- Required Output, potential density and temperature.
C
${pput} fort.10  ~/${P}/temp_sig0_m${MM}.b
${pput} fort.10A ~/${P}/temp_sig0_m${MM}.a
${pput} fort.12  ~/${P}/dens_sig0_m${MM}.b
${pput} fort.12A ~/${P}/dens_sig0_m${MM}.a
C
C --- Optional Output.
C
${pput} fort.11  ~/${P}/saln_sig0_m${MM}.b
${pput} fort.11A ~/${P}/saln_sig0_m${MM}.a
C
C --- end of month foreach loop
C
/bin/rm fort.7[123]
end
C
C --- Delete all files.
C
#/bin/rm -f *
